 
%define Werror_cflags %{nil}

Summary:        Linux MultiMedia Studio
Name:           lmms
Version:        1.2.0
Release:        %mkrel -c rc2 1
Group:          Sound/Mixers
License:        GPLv2+
URL:            https://lmms.io/
Source0:        https://github.com/LMMS/lmms/archive/v%{version}-rc2.tar.gz
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  SDL_sound-devel
BuildRequires:  cmake
BuildRequires:  git
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  application()
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(fluidsynth)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  fltk-devel
BuildRequires:  icoutils

%description
LMMS aims to be a free alternative to popular (but commercial and
closed- source) programs like FruityLoops/FL Studio, Cubase and Logic
allowing you to produce music with your computer.This includes
creation of loops, synthesizing and mixing sounds, arranging samples,
having fun with your MIDI-keyboard and much more...

LMMS combines the features of a tracker-/sequencer-program and those
of powerful synthesizers, samplers, effects etc. in a modern,
user-friendly and easy to use graphical user-interface.

Features

* Song-Editor for arranging the song
* creating beats and basslines using the Beat-/Bassline-Editor
* easy-to-use piano-roll for editing patterns and melodies
* instrument and effect-plugins
* support for hosting VST(i)- and LADSPA-plugins (instruments/effects)
* automation-editor
* MIDI-support

%package devel
Summary:  Development package for %{name}
Group:    Development/C

%description devel
Development files and headers for %{name}.

%prep
%setup -q -n lmms-1.2.0-rc2

# remove spurious x-bits
find . -type f -exec chmod 0644 {} \;

%build
%cmake \
      -DWANT_QT5=ON \
      -DWANT_SDL:BOOL=ON \
      -DWANT_PORTAUDIO:BOOL=OFF \
      -DWANT_CAPS:BOOL=ON \
      -DWANT_TAP:BOOL=ON \
      -DWANT_SWH:BOOL=ON \
      -DWANT_CALF:BOOL=ON \
%ifarch %ix86
      -DWANT_VST:BOOL=ON \
%else
      -DWANT_VST:BOOL=OFF \
%endif
%ifarch x86_64
      -DWANT_VST_NOWINE:BOOL=ON \
%endif
      -DCMAKE_INSTALL_LIBDIR=%{_lib} \
      -DLIBEXEC_INSTALL_DIR=%{_libexecdir} \
      ../
%make VERBOSE=1


%install
%make_install -C build


%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_mandir}/man?/*
%{_datadir}/applications/*.desktop
%{_datadir}/menu/lmms
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png

%files devel
%{_includedir}/%{name}


%changelog
* Tue Mar 21 2017 animtim <animtim> 1.2.0-0.rc2.1.mga6
+ Revision: 1093930
- update to 1.2.0-rc2

* Mon May 02 2016 tv <tv> 1.1.90-0.rc1.1.mga6
+ Revision: 1008579
- BR pkgconfig(Qt5Help)
- BR git

  + philippem <philippem>
    - update to 1.1.90

  + animtim <animtim>
    - update to new version 1.1.90 (1.2 RC1)

* Mon Feb 15 2016 umeabot <umeabot> 1.1.3-2.mga6
+ Revision: 961282
- Mageia 6 Mass Rebuild

* Thu Sep 10 2015 fwang <fwang> 1.1.3-1.mga6
+ Revision: 875359
- 1.1.3

* Wed Feb 11 2015 animtim <animtim> 1.1.2-1.mga5
+ Revision: 814712
- update to new version 1.1.2
- add patch to fix pops
- update to new version 1.1.1

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-2.mga5
+ Revision: 739817
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

  + danf <danf>
    - new version 1.0.3

  + dams <dams>
    - new version 1.0.0

* Sat Oct 19 2013 umeabot <umeabot> 0.4.15-2.mga4
+ Revision: 528543
- Mageia 4 Mass Rebuild

* Sun Jun 23 2013 fwang <fwang> 0.4.15-1.mga4
+ Revision: 445904
- new version 0.4.15

* Mon May 27 2013 dams <dams> 0.4.14-1.mga4
+ Revision: 428676
- new version 0.4.14
- remove useless patches

* Sat Jan 12 2013 umeabot <umeabot> 0.4.13-6.mga3
+ Revision: 358916
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 dams <dams> 0.4.13-5.mga3
+ Revision: 322393
- update %%group for new policy

* Thu Jul 12 2012 dams <dams> 0.4.13-4.mga3
+ Revision: 270421
- Fix compilation flags to enable back ladspa (mga#6466)

* Wed Jun 20 2012 dams <dams> 0.4.13-3.mga3
+ Revision: 262020
- update icon for a better render
- add 'fltk-devel' as BuildRequires
- add patchs from fedora to fix mga#6466

* Wed Mar 14 2012 dams <dams> 0.4.13-2.mga2
+ Revision: 223369
- fix broken path for /usr/lib/lmms/*.so modules

* Mon Feb 06 2012 dams <dams> 0.4.13-1.mga2
+ Revision: 205607
- new version 0.4.13

* Sat Dec 10 2011 eatdirt <eatdirt> 0.4.12-2.mga2
+ Revision: 180396
- Rebuilt for fftw-3.3

* Thu Sep 08 2011 tv <tv> 0.4.12-1.mga2
+ Revision: 141154
- new release

* Thu Jun 16 2011 dams <dams> 0.4.11-1.mga2
+ Revision: 108007
- update to 0.4.11
- drop patch2

* Thu Mar 31 2011 dams <dams> 0.4.10-1.mga1
+ Revision: 79272
- Update patch
- Import, clean and update to 0.4.10
- imported package lmms

